|
1.415.462.1982

News: Red Giant PluralEyes and FCPX 10.4 – Important Compatibility Update

News: Red Giant PluralEyes and FCPX 10.4 – Important Compatibility Update

Red Giant has reported that PluralEyes 4 now currently compatible with FCPX 10.4 with a free update.

PluralEyes 4 is not currently compatible with FCP X 10.4 – Users are advised to hold off on updating to FCP X 10.4 until a PluralEyes update is available.

Magic Bullet Suite 13 and Red Giant Universe are currently compatible with FCP X 10.4.

If you should encounter any issues, Red Giant Support is there to help.

12/19/17: UPDATE: With a free update, PluralEyes 4 is now compatible with FCP X 10.4. Please update through Red Giant Link to install for the latest version of FCP X. If you are not using a current version of PluralEyes 4, please first update PluralEyes to the latest version and then use link to install the hot-fix.

Posted by Alicia